# Uses of Interface
com.sun.mirror.declaration.InterfaceDeclaration

Packages that use InterfaceDeclaration
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.type
Interfaces used to model types.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of InterfaceDeclaration in com.sun.mirror.declaration

Subinterfaces of InterfaceDeclaration in com.sun.mirror.declaration
Modifier and Type
Interface
Description
`interface`
`AnnotationTypeDeclaration`
Represents the declaration of an annotation type.
Methods in com.sun.mirror.declaration that return types with arguments of type InterfaceDeclaration
Modifier and Type
Method
Description
`Collection<InterfaceDeclaration>`
PackageDeclaration.`getInterfaces()`
Returns the declarations of the top-level interfaces in this package.

## Uses of InterfaceDeclaration in com.sun.mirror.type

Methods in com.sun.mirror.type that return InterfaceDeclaration
Modifier and Type
Method
Description
`InterfaceDeclaration`
InterfaceType.`getDeclaration()`
Returns the declaration of this type.

## Uses of InterfaceDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type InterfaceDeclaration
Modifier and Type
Method
Description
`void`
DeclarationVisitor.`visitInterfaceDeclaration(InterfaceDeclaration d)`
Visits an interface declaration.
`void`
SimpleDeclarationVisitor.`visitInterfaceDeclaration(InterfaceDeclaration d)`
Visits an interface declaration.